Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTEventLog Class Reference

Inheritance diagram for SPTEventLog:

[legend]
Collaboration diagram for SPTEventLog:

[legend]
List of all members.

## Public Member Functions
| SPTEventLog ()
| LimitFindToUserType ($UserType)
## Public Attributes
const | SPTEVENT_USERLOGIN = 1
const | SPTEVENT_NEWACCOUNTSIGNUP = 2
const | SPTEVENT_NEWACCOUNTCONFIRM = 3
const | SPTEVENT_SEARCH = 4
const | SPTEVENT_ADVANCEDSEARCH = 5
const | SPTEVENT_RESOURCELINKCLICK = 6
const | SPTEVENT_OAIHARVEST = 7
const | SPTUSERTYPE_ALL = 1
const | SPTUSERTYPE_ANONYMOUS = 2
const | SPTUSERTYPE_NONPRIVILEGED = 3
const | SPTUSERTYPE_PRIVILEGED = 4

## Detailed Description

Definition at line 19 of file SPTEventLog.php.

## Member Function Documentation

SPTEventLog::LimitFindToUserType | ( | $ | UserType | ) |

Definition at line 51 of file SPTEventLog.php.

References SPTUSERTYPE_NONPRIVILEGED, and SPTUSERTYPE_PRIVILEGED.

SPTEventLog::SPTEventLog | ( |  | ) |

Definition at line 39 of file SPTEventLog.php.

References EventLog::EventLog().

## Member Data Documentation

const SPTEventLog::SPTEVENT_ADVANCEDSEARCH = 5

Definition at line 28 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_NEWACCOUNTCONFIRM = 3

Definition at line 26 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_NEWACCOUNTSIGNUP = 2

Definition at line 25 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_OAIHARVEST = 7

Definition at line 30 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_RESOURCELINKCLICK = 6

Definition at line 29 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_SEARCH = 4

Definition at line 27 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_USERLOGIN = 1

Definition at line 24 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_ALL = 1

Definition at line 33 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_ANONYMOUS = 2

Definition at line 34 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_NONPRIVILEGED = 3

Definition at line 35 of file SPTEventLog.php.

Referenced by LimitFindToUserType().

const SPTEventLog::SPTUSERTYPE_PRIVILEGED = 4

Definition at line 36 of file SPTEventLog.php.

Referenced by LimitFindToUserType().

The documentation for this class was generated from the following file:

- SPTEventLog.php